Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joone.engine.learning
Interface ComparingElement

All Superinterfaces:
  NeuralElement, OutputPatternListener, java.io.Serializable

All Known Implementing Classes:
  ComparingSynapse, TeachingSynapse

    public interface ComparingElement

extends OutputPatternListener, java.io.Serializable

This interface describes an element that can compare the output of the layer to which it is connected, with another input derivating from a StreamInputSynapse named 'desired'. To elaborate the result of the comparison, attach to its output a whatever component implementing the OutputPatternListener interface. (use addResultSynapse to do it). Its main purpose is to describe the interface of a component used to teach the neural network, but it can be used whenever it's necessary to compare two patterns.

Author:
  pmarrone

Method Summary
`boolean` | `addResultSynapse(OutputPatternListener listener)` Adds an output synapse to which the result must be sent
`StreamInputSynapse` | `getDesired()` Getter for the desired data set
`LinearLayer` | `getTheLinearLayer()` Returns the internal Layer used to transport the result to the connected output synapse
`void` | `removeResultSynapse(OutputPatternListener listener)` Removes an output synapse
`void` | `resetInput()` Resets the internal buffer of the desired StreamInputSynapse
`boolean` | `setDesired(StreamInputSynapse desired)` Setter for the desired data set

Methods inherited from interface org.joone.engine.OutputPatternListener
`fwdPut, getInputDimension, isOutputFull, revGet, setInputDimension, setOutputFull`

Methods inherited from interface org.joone.engine.NeuralElement
`check, getMonitor, getName, init, isEnabled, setEnabled, setMonitor, setName`

Method Detail

### getDesired

    StreamInputSynapse getDesired()

  Getter for the desired data set

### setDesired

    boolean setDesired(StreamInputSynapse desired)

  Setter for the desired data set

### addResultSynapse

    boolean addResultSynapse(OutputPatternListener listener)

  Adds an output synapse to which the result must be sent

### removeResultSynapse

    void removeResultSynapse(OutputPatternListener listener)

  Removes an output synapse

### getTheLinearLayer

    LinearLayer getTheLinearLayer()

  Returns the internal Layer used to transport the result to the connected output synapse

### resetInput

    void resetInput()

  Resets the internal buffer of the desired StreamInputSynapse

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to pmarrone@users.sourceforge.net